> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/55.-nahravani-zip-souboru-nad-6-mb.md).

# 55. Nahrávání zip souborů (nad 6 MB)

Jako technické omezení poskytovatele cloudu AWS musí být nahrávání souborů větších než 6 MB provedeno ve 2 krocích:

#### **1. Požádejte o předpodepsaný odkaz pro následné přímé nahrání.**  <a href="#step1" id="step1"></a>

Jako vstup:&#x20;

* `fileType` - `výnos` NEBO `půda` NEBO `aplikovaného` NEBO `adapt` NEBO `hranice`,&#x20;
* `farmUuid` (volitelné) - uuid farmy, do které má být soubor importován.&#x20;

Jako výstup:

* `uuid` - očekávané uuid po nahrání a zpracování,
* `farmUuid` - stejné jako vstup,
* `fileType` - stejné jako vstup,
* `s3Url` - URL použité k nahrání souboru,
* `s3Fields` - atributy, které je třeba předat ve formuláři pro nahrání souboru.

Podrobnosti o tom, jak použít `s3Url` a `s3Fields` jsou popsány v druhém kroku.&#x20;

Atributy jsou platné pouze 60 minut pro nahrání souboru.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Pošlete místní soubor na s3Url s předdefinovanými atributy formuláře ze s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Oznámení o zpracování budou doručena prostřednictvím mechanismu odběru popsaného v\
&#x20;[1. Odběr: Získat události](/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/1.-subscription-ziskani-udalosti.md).

{% hint style="info" %}
Odpověď v hlavičce zahrnuje `Etag` hlavičku, která se objeví například jako `Etag: "6fd3e76992738357ab50039f2c60024e"`. Tato hodnota se následně používá v GraphQL [query getPlatformContext](/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/83.-dotaz-sber-kontextu-platformy.md) k monitorování průběhu zpracování, stejně jako ke spojení s entitami „Field“, „AsAppliedDataset“, „YieldDataset“ a „SoilDataset“.
{% endhint %}

{% hint style="info" %}
Použijte `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/55.-nahravani-zip-souboru-nad-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
